Skip to content
Qashpay Logo

API Documentation

Chargeback Management API

Manage alerts, representment, and more via the API. Not all APIs are available to all users please contact support to make sure you have the right level of access.

Base URL: https://api.disputes.qashpay.com

Alerts Endpoints

Manage network alerts from Ethoca and Verifi RDR.

GET/v1/alerts/
Get All Alerts

Retrieve a paginated list of alerts with optional filtering by status, organisation, merchant, and date range.

📌 Filtering Note:To get alerts only pertaining to Ethoca, filter the resultant JSON by enrolment_type = 'ETHOCA_ALERT'. To get alerts only pertaining to Verifi RDR, filter the resultant JSON by enrolment_type = 'VERIFI_RDR'.

⚙️ Parameters

NameTypeInRequiredDescription
statusstringquery✗Filter by alert status
organisation_idstringquery✗Filter by organisation ID
merchant_idstringquery✗Filter by merchant ID
alert_received_at_gtestringquery✗Lower bound for alert received timestamp (inclusive)
alert_received_at_ltestringquery✗Upper bound for alert received timestamp (inclusive)
sortstringquery✗Field to sort by
limitintegerquery✗Maximum number of results to return
offsetintegerquery✗Number of results to skip

📤 Responses

200OK - Returns paginated list of alerts
{
  "items": [
    {
      "id": "string",
      "alert_network_id": "string",
      "organisation_id": "string",
      "merchant_id": "string",
      "enrolment_id": "string",
      "enrolment_type": "ETHOCA_ALERT",
      "status": "PENDING",
      "chargeback_reason_code": "string",
      "transaction_amount_in_cents": 0,
      "transaction_currency_code": "string",
      "transaction_authorised_at": "2025-11-26T12:29:04.749Z",
      "action_required_deadline": "2025-11-26T12:29:04.749Z",
      "transaction_authorisation_code": "string",
      "transaction_acquirer_reference_number": "string",
      "transaction_statement_descriptor": "string",
      "transaction_card_bin": "string",
      "transaction_card_last4": "string",
      "transaction_card_scheme": "VISA",
      "transaction_card_issuer": "string",
      "transaction_refund_outcome": "REFUNDED",
      "transaction_network_id": "string",
      "subscription_cancel_outcome": "CANCELLED",
      "note": "string",
      "created_at": "2025-11-26T12:29:04.749Z",
      "updated_at": "2025-11-26T12:29:04.749Z",
      "integration_id": "string",
      "integration_transaction_id": "string",
      "links": [
        {
          "rel": "string",
          "uri": "string"
        }
      ]
    }
  ],
  "count": 0
}
400Bad Request - Invalid request parameters
{
  "errors": [
    {
      "code": "INVALID_REQUEST",
      "message": "Invalid request"
    }
  ]
}
401Unauthorized - Invalid or missing API key
{
  "errors": [
    {
      "code": "UNAUTHORISED",
      "message": "Unauthorised"
    }
  ]
}
422Unprocessable Entity - Validation error
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ]
}
GET/v1/alerts/{alert_id}
Get Specific Alert By ID

Retrieve details of a specific alert by its ID.

⚙️ Parameters

NameTypeInRequiredDescription
alert_idstringpath✓Unique identifier for the alert

📤 Responses

200OK - Returns alert details
{
  "id": "string",
  "alert_network_id": "string",
  "organisation_id": "string",
  "merchant_id": "string",
  "enrolment_id": "string",
  "enrolment_type": "ETHOCA_ALERT",
  "status": "PENDING",
  "chargeback_reason_code": "string",
  "transaction_amount_in_cents": 0,
  "transaction_currency_code": "string",
  "transaction_authorised_at": "2025-11-26T12:35:41.722Z",
  "action_required_deadline": "2025-11-26T12:35:41.722Z",
  "transaction_authorisation_code": "string",
  "transaction_acquirer_reference_number": "string",
  "transaction_statement_descriptor": "string",
  "transaction_card_bin": "string",
  "transaction_card_last4": "string",
  "transaction_card_scheme": "VISA",
  "transaction_card_issuer": "string",
  "transaction_refund_outcome": "REFUNDED",
  "transaction_network_id": "string",
  "subscription_cancel_outcome": "CANCELLED",
  "note": "string",
  "created_at": "2025-11-26T12:35:41.722Z",
  "updated_at": "2025-11-26T12:35:41.722Z",
  "integration_id": "string",
  "integration_transaction_id": "string",
  "links": [
    {
      "rel": "string",
      "uri": "string"
    }
  ]
}
400Bad Request - Invalid alert ID format
{
  "errors": [
    {
      "code": "INVALID_REQUEST",
      "message": "Invalid request"
    }
  ]
}
401Unauthorized - Invalid or missing API key
{
  "errors": [
    {
      "code": "UNAUTHORISED",
      "message": "Unauthorised"
    }
  ]
}
404Not Found - Alert does not exist
{
  "errors": [
    {
      "code": "NOT_FOUND",
      "message": "Not found"
    }
  ]
}

Chargeback Management API v1.0.0